import { queryOptions } from '@tanstack/react-query';
import { getCrmUserRoleAssignments } from './service';

export const crmUserRoleAssignmentQueryKeys = {
  all: ['crm-user-role-assignments'] as const
};

export function crmUserRoleAssignmentsQueryOptions() {
  return queryOptions({
    queryKey: crmUserRoleAssignmentQueryKeys.all,
    queryFn: getCrmUserRoleAssignments
  });
}
